<?php
//deklaracje zmiennych
$A = 1;
$B = 1;
$C = -2;

//wyświetlenie parametrów równania
echo "Parametry równania: <br />";
echo "A = $A, B = $B, C = $C <br />";

//sprawdzenie, czy jest to równanie kwadratowe
if ($A == 0){
  //$A jest równe zero, równanie nie jest kwadratowe
  echo("To nie jest równanie kwadratowe: A = 0!");
}
else{
  //A jest różne od zera, równanie jest kwadratowe

  //obliczenie delty
  $delta = $B * $B - 4 * $A * $C;

  //jeśli delta mniejsza od zera
  if ($delta < 0){
     echo "Delta < 0 <br />";
     echo "To równanie nie ma rozwiązania w zbiorze liczb rzeczywistych!";
  }
  //jeśli delta większa lub równa zero
  else{
     //jeśli delta jest równa zero
     if ($delta == 0){
       //obliczenie wyniku
       $wynik = - B / 2 * A;
       echo "Rozwiązanie: x = $wynik";

     }
     //jeśli delta jest większa od zera
     else{
       //obliczenie wyników
       $wynik = (- $B + sqrt($delta)) / 2 * $A;
       echo "Rozwiązanie: x1 = $wynik";
       $wynik = (- $B - sqrt($delta)) / 2 * $A;
       echo ", x2 = $wynik";
     }
  }
}
?>

